export interface ElementEventListener {
    element: Element;
    eventName: keyof HTMLElementEventMap;
    listener: EventListener;
    groupName?: string;
}
export declare class BindingEventService {
    protected _distinctEvent: boolean;
    protected _boundedEvents: ElementEventListener[];
    get boundedEvents(): ElementEventListener[];
    constructor(options?: {
        distinctEvent: boolean;
    });
    dispose(): void;
    /** Bind an event listener to any element */
    bind<H extends HTMLElement = HTMLElement>(elementOrElements: H | NodeListOf<H> | Window, eventNameOrNames: keyof HTMLElementEventMap | Array<keyof HTMLElementEventMap>, listener: EventListener, listenerOptions?: boolean | AddEventListenerOptions, groupName?: string): void;
    hasBinding(elm: Element, eventNameOrNames?: keyof HTMLElementEventMap | Array<keyof HTMLElementEventMap>): boolean;
    /** Unbind a specific listener that was bounded earlier */
    unbind(elementOrElements?: Element | NodeListOf<Element> | null, eventNameOrNames?: keyof HTMLElementEventMap | Array<keyof HTMLElementEventMap>, listener?: EventListenerOrEventListenerObject | null): void;
    /**
     * Unbind all event listeners that were bounded, optionally provide a group name to unbind all listeners assigned to that specific group only.
     */
    unbindAll(groupName?: string | string[]): void;
    /** bind all event(s) to the element */
    private bindElementEvents;
}
//# sourceMappingURL=binding-event.service.d.ts.map