import type { HtmlStruct, VirtualCache, VirtualScrollOption } from '../models/interfaces.js';
export declare class VirtualScroll {
    protected clusterRows?: number;
    protected cache: VirtualCache;
    protected scrollEl: HTMLElement;
    protected blockHeight?: number;
    protected clusterHeight?: number;
    protected contentEl: HTMLElement;
    protected parentEl: HTMLElement | null;
    protected itemHeight?: number;
    protected lastCluster: number;
    protected scrollTop: number;
    dataStart: number;
    dataEnd: number;
    rows: HtmlStruct[];
    destroy: () => void;
    callback: () => void;
    sanitizer?: (dirtyHtml: string) => string;
    constructor(options: VirtualScrollOption);
    reset(rows: HtmlStruct[]): void;
    protected initDOM(rows: HtmlStruct[]): void;
    protected getRowsHeight(): void;
    protected getNum(): number;
    protected initData(rows: HtmlStruct[], num: number): {
        topOffset: number;
        bottomOffset: number;
        rowsAbove: number;
        rows: HtmlStruct[];
    };
    protected checkChanges<T extends keyof VirtualCache>(type: T, value: VirtualCache[T]): boolean;
    protected getExtra(className: string, height: number): HTMLLIElement;
}
//# sourceMappingURL=virtual-scroll.d.ts.map